# $EPIC: rindex,v 1.7 2003/07/05 06:34:00 jnelson Exp $
Synopsis:
   $rindex(<characters> <text>)

Technical:
   * If the <characters> argument is omitted the empty string is returned.
   * <characters> may contain any number of different characters.  If you 
     want to include the space character, enclose it in double quotes.  If
     you want to include the double quote character, put some other character
     before the double-quote.
   * If the first character in <characters> is the caret ("^"), then the
     list of <characters> is negated; <characters> includes all characters
     that are NOT after the tilde.
   * Counting begins after the first space after <characters>.  If multiple
     spaces separate <characters> and <text>, only the first such space is 
     the separator; further spaces are part of <text> for the purpose of 
     counting.
   * The return value is the number of initial characters in <text> that 
     proceed the LAST INSTANCE of any characters specified by <characters>;
     the index of the last instance of any character in <characters> in the 
     string <text>, counting from zero.
   * If none of the characters in <characters> appears in <text> (a failed
     search), then -1 is returned.

Practical:
   It used to be common to use $rindex() to find a character in a string so
   that you could extract the parts of the string before and after the 
   character.  This is more easily done by $before() and $after() though.

Returns:
     -1   no character in <characters> was found in <text>
   > -1   index to last instance of something in <characters> in <text>

History
   This function originally appeared in ircII-2.1.3

Examples:
   $rindex(abc hello there bob)         returns 14
   $rindex(abc   hello there bob)       returns 16
		(because of the spaces after 'c' and before 'h')
   $rindex(xyz hello there bob)         returns -1
   $rindex()				returns the empty string

